Bug 192430 - Review Request: python-kiwi - Framework for Python GUI applications
Review Request: python-kiwi - Framework for Python GUI applications
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: John Mahowald
Fedora Package Reviews List
:
Depends On:
Blocks: FE-ACCEPT 197793
  Show dependency treegraph
 
Reported: 2006-05-19 14:22 EDT by Konstantin Ryabitsev
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-07-12 11:16:02 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Konstantin Ryabitsev 2006-05-19 14:22:16 EDT
Spec URL: http://blues.mcgill.ca/~icon/fe/python-kiwi.spec
SRPM URL: http://blues.mcgill.ca/~icon/fe/python-kiwi-1.9.8-0.2.src.rpm
Description:
Kiwi consists of a set of classes and wrappers for PyGTK that were 
developed to provide a sort of framework for applications. Fully 
object-oriented, and roughly Smalltalk's MVC, Kiwi provides a simple, 
practical way to build forms, windows and widgets that transparently 
access and display your object data.

PS: New version of gazpacho (already in extras) requires it.
Comment 1 John Mahowald 2006-05-29 10:54:25 EDT
Doesn't build on x86_64, doesn't package the following files:

   /usr/lib64/python2.4/site-packages/gazpacho/widgets/kiwiwidgets.py
   /usr/lib64/python2.4/site-packages/gazpacho/widgets/kiwiwidgets.pyc
   /usr/lib64/python2.4/site-packages/gazpacho/widgets/kiwiwidgets.pyo

The thing is, changing get_python_lib() to get_python_lib(1) won't work for the
other kiwi files. Perhaps define two sitelib macros?
Comment 2 Konstantin Ryabitsev 2006-06-16 16:24:20 EDT
Hmm.. This is goofier than that. Gazpacho is also noarch, so it never installs
in lib64. I'll just modify the specfile to always install in /usr/lib.
Comment 4 Konstantin Ryabitsev 2006-07-06 10:26:46 EDT
Ping. I need this to continue providing gazpacho.
Comment 5 John Mahowald 2006-07-06 22:58:40 EDT
Build failed.

msgfmt is missing, not installing translations
...
No translations found for kiwi in /var/tmp/python-kiwi-1.9.8-0.3.fc6-root-mockbuild
error: Bad exit status from /var/tmp/rpm-tmp.45913 (%install)
Comment 6 Konstantin Ryabitsev 2006-07-07 18:30:38 EDT
Ah, yes, the buildsystem changed on me. :) Added gettext BR.
http://blues.mcgill.ca/~icon/fe/python-kiwi.spec
http://blues.mcgill.ca/~icon/fe/python-kiwi-1.9.8-0.4.src.rpm
Comment 7 John Mahowald 2006-07-10 22:11:14 EDT
rpmlint of python-kiwi-gazpacho-1.9.8-0.4.fc6.noarch.rpm:
W: python-kiwi-gazpacho no-documentation
Ignore.

rpmlint of python-kiwi-1.9.8-0.4.fc6.noarch.rpm:E: python-kiwi
non-executable-script /etc/kiwi/setup.py 0644
E: python-kiwi non-executable-script
f/usr/lib/python2.4/site-packages/kiwi/i18n/msgfmt.py 0644
W: python-kiwi doc-file-dependency
/usr/share/doc/python-kiwi-1.9.8/examples/framework/diary/diary.py /usr/bin/env
W: python-kiwi doc-file-dependency
/usr/share/doc/python-kiwi-1.9.8/examples/framework/diary/diary2.py /usr/bin/env
Happens with python. Ignore.

- package meets naming guidelines
- package meets packaging guidelines
- license (LGPL) OK, text in %doc, matches source
- spec file legible, in am. english
- source matches upstream
- package compiles on devel (x86_64)
- no missing BR
- no unnecessary BR
- locales handled
- not relocatable
- owns all directories that it creates
- no duplicate files
- permissions ok
- %clean ok
- macro use consistent
- code, not content
- no need for -docs
- nothing in %doc affects runtime
- no need for .desktop file 

APPROVED
Comment 8 Konstantin Ryabitsev 2006-07-12 11:16:02 EDT
Built and will show up in extras shortly. Thanks a lot for your help!

Note You need to log in before you can comment on or make changes to this bug.